ABORT(3)

NAME
abort - cause abnormal program termination

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
abort(void);

DESCRIPTION
The abort() function causes abnormal program termination to occur, unless the signal SIGABRT is being caught and the signal handler does not return.

Any open streams are flushed and closed.

IMPLEMENTATION NOTES
The abort() function is thread-safe. It is unknown if it is async-cancel-safe.

RETURN VALUES
The abort() function never returns.

SEE ALSO
sigaction(2), exit(3)

STANDARDS
The abort() function conforms to p1003.1-90. The abort() function also conforms to isoC-99 with the implementation specific details as noted above.